Bug 1437922 - Policy to prevent a host scan request did not work
Summary: Policy to prevent a host scan request did not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Lucy Fu
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1437910
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 12:53 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437910
Environment:
Last Closed: 2017-05-31 14:45:13 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-03-31 21:31:05 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c6614cb51632bde61a158ab7f8a6142c7ffe2452

commit c6614cb51632bde61a158ab7f8a6142c7ffe2452
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Mar 30 14:39:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 31 17:26:51 2017 -0400

    Merge pull request #14427 from lfu/prevent_request_host_scan
    
    Add policy checking for request_host_scan.
    (cherry picked from commit 5e9e1c74b65003560351a1b1ab28513da8c2941c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437922

 app/models/host.rb       | 19 +++++++------------
 spec/models/host_spec.rb | 30 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 12 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2017-04-24 06:37:52 UTC
Verified in Version 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 14:45:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.